# frozen_string_literal: true

# Política de acceso para Invitades
#
# TODO: Incorporar a Usuarie y eliminar
class InvitadxPolicy
  attr_reader :usuarix, :model

  def initialize(usuarix, model)
    @usuarix = usuarix
    @model = model
  end

  def new?
    create?
  end

  # Al crear, el modelo recibido es un sitio
  def create?
    unless model.class == Site
      raise ArgumentError,
            "#{model.class} must be Site"
    end

    # El sitio acepta invitadxs
    model.invitadxs?
  end
end
