# frozen_string_literal: true

ActiveSupport::Inflector.inflections(:en) do |inflect|
  inflect.plural 'invitadx', 'invitadxs'
  inflect.singular 'invitadxs', 'invitadx'
  inflect.plural 'invitade', 'invitades'
  inflect.singular 'invitades', 'invitade'
  inflect.plural 'usuarie', 'usuaries'
  inflect.singular 'usuaries', 'usuarie'
  inflect.plural 'licencia', 'licencias'
  inflect.singular 'licencias', 'licencia'
  inflect.plural 'rol', 'roles'
  inflect.singular 'roles', 'rol'
end

ActiveSupport::Inflector.inflections(:es) do |inflect|
  inflect.plural 'invitadx', 'invitadxs'
  inflect.singular 'invitadxs', 'invitadx'
  inflect.plural 'invitade', 'invitades'
  inflect.singular 'invitades', 'invitade'
  inflect.plural 'usuarie', 'usuaries'
  inflect.singular 'usuaries', 'usuarie'
  inflect.plural 'rol', 'roles'
  inflect.singular 'roles', 'rol'
  inflect.plural 'licencia', 'licencias'
  inflect.singular 'licencias', 'licencia'
end
