# frozen_string_literal: true

class InvitadxMailer < ApplicationMailer
  def confirmation_required
    @invitadx = params[:invitadx]
    @site = params[:site]
    mail from: "#{@site.config.dig('title')} <#{ENV.fetch('DEFAULT_FROM', 'sutty@kefir.red')}>", to: @invitadx.email, subject: t('.subject')
  end
end
